# This test looks for a rejection because the incoming rDNS name is on a
# RHSBL that uses TXT records.

export TCPREMOTEIP=`${DNSA_PATH} ns.silence.org`

FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RANDOM}@example.com

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --log-target stderr -lverbose -X nonexistent-rhsbl-1.spamdyke.org -X nonexistent-rhsbl-2.spamdyke.org -X nonexistent-rhsbl-3.spamdyke.org -X txt.test-rhsbl.spamdyke.org -X nonexistent-rhsbl-4.spamdyke.org ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --log-target stderr -lverbose -X nonexistent-rhsbl-1.spamdyke.org -X nonexistent-rhsbl-2.spamdyke.org -X nonexistent-rhsbl-3.spamdyke.org -X txt.test-rhsbl.spamdyke.org -X nonexistent-rhsbl-4.spamdyke.org ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "554 Test RHSBL match" ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  output=`grep "FILTER_RHSBL_MATCH domain: ns.silence.org rhsbl: txt.test-rhsbl.spamdyke.org" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Filter failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
