# This test looks for a rejection because the incoming IP address is on a
# DNS RBL that uses TXT records.  When the logging is set to verbose and
# multiple DNS RBLs are used, the correct RBL should be reported, not the
# first one.

export TCPREMOTEIP=11.22.33.44

FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RANDOM}@example.com

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --log-target stderr -lverbose -x txt.test-nonexistant-dnsrbl-1.spamdyke.org -x txt.test-nonexistant-dnsrbl-2.spamdyke.org -x txt.test-nonexistant-dnsrbl-3.spamdyke.org -x txt.test-nonexistant-dnsrbl-4.spamdyke.org -x txt.test-nonexistant-dnsrbl-5.spamdyke.org -x txt.test-nonexistant-dnsrbl-6.spamdyke.org -x txt.test-nonexistant-dnsrbl-7.spamdyke.org -x txt.test-nonexistant-dnsrbl-8.spamdyke.org -x txt.test-nonexistant-dnsrbl-9.spamdyke.org -x txt.test-nonexistant-dnsrbl-10.spamdyke.org -x txt.test-dnsrbl.spamdyke.org ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --log-target stderr -lverbose -x txt.test-nonexistant-dnsrbl-1.spamdyke.org -x txt.test-nonexistant-dnsrbl-2.spamdyke.org -x txt.test-nonexistant-dnsrbl-3.spamdyke.org -x txt.test-nonexistant-dnsrbl-4.spamdyke.org -x txt.test-nonexistant-dnsrbl-5.spamdyke.org -x txt.test-nonexistant-dnsrbl-6.spamdyke.org -x txt.test-nonexistant-dnsrbl-7.spamdyke.org -x txt.test-nonexistant-dnsrbl-8.spamdyke.org -x txt.test-nonexistant-dnsrbl-9.spamdyke.org -x txt.test-nonexistant-dnsrbl-10.spamdyke.org -x txt.test-dnsrbl.spamdyke.org ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "554 Test DNSRBL match" ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  output=`grep "FILTER_RBL_MATCH ip: 11.22.33.44 rbl: txt.test-dnsrbl.spamdyke.org" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Filter failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Filter failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
